<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="mainpage_8h" kind="file" language="C++">
    <compoundname>mainpage.h</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
Contains the documentation data.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">/*</highlight></codeline>
<codeline lineno="228"><highlight class="comment">*<sp />\page<sp />page_security<sp />Security</highlight></codeline>
<codeline lineno="229"><highlight class="comment">*<sp />\{</highlight></codeline>
<codeline lineno="230"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="231"><highlight class="comment">*</highlight></codeline>
<codeline lineno="232"><highlight class="comment">*<sp />The<sp />security<sp />solution<sp />provided<sp />by<sp />Cypress<sp />incorporates<sp />both<sp />hardware<sp />and<sp />software<sp />controlled<sp />elements<sp />to<sp />construct<sp />a</highlight></codeline>
<codeline lineno="233"><highlight class="comment">*<sp />secure<sp />execution<sp />environment<sp />that<sp />is<sp />both<sp />validated<sp />and<sp />robust<sp />against<sp />unauthorized<sp />accesses.<sp />For<sp />a<sp />comprehensive</highlight></codeline>
<codeline lineno="234"><highlight class="comment">*<sp />discussion<sp />on<sp />the<sp />topic,<sp />refer<sp />to<sp />&lt;b&gt;AN221111<sp />-<sp />PSoC<sp />6<sp />MCU:<sp />Creating<sp />a<sp />Secure<sp />System&lt;/b&gt;.</highlight></codeline>
<codeline lineno="235"><highlight class="comment">*</highlight></codeline>
<codeline lineno="236"><highlight class="comment">*<sp />&lt;h1&gt;&lt;b&gt;Cypress<sp />Secure<sp />Image&lt;/b&gt;&lt;/h1&gt;</highlight></codeline>
<codeline lineno="237"><highlight class="comment">*<sp />&lt;a<sp />href="../../secure_image_api_reference_manual.html"<sp />title="Secure<sp />image<sp />API<sp />Reference"<sp />target="_blank"&gt;Cypress<sp />Secure<sp />Image&lt;/a&gt;</highlight></codeline>
<codeline lineno="238"><highlight class="comment">*<sp />is<sp />a<sp />reference<sp />design<sp />that<sp />shows<sp />how<sp />to<sp />combine<sp />various<sp />security<sp />features<sp />of<sp />the<sp />PSoC<sp />6<sp />device<sp />to<sp />construct<sp />a<sp />secure<sp />environment.</highlight></codeline>
<codeline lineno="239"><highlight class="comment">*<sp />Specifically,<sp />it<sp />incorporates<sp />secure<sp />boot,<sp />hardware-controlled<sp />secure<sp />execution<sp />context<sp />(PC=0)<sp />and<sp />hardware<sp />protection<sp />of</highlight></codeline>
<codeline lineno="240"><highlight class="comment">*<sp />peripherals<sp />and<sp />memory<sp />using<sp />protection<sp />units.<sp />The<sp />reference<sp />design<sp />is<sp />provided<sp />as<sp />a<sp />pair<sp />of<sp />PSoC<sp />Creator<sp />projects</highlight></codeline>
<codeline lineno="241"><highlight class="comment">*<sp />(validated<sp />secure<sp />image<sp />and<sp />validated<sp />user<sp />application),<sp />which<sp />can<sp />also<sp />be<sp />exported<sp />to<sp />other<sp />IDEs.</highlight></codeline>
<codeline lineno="242"><highlight class="comment">*</highlight></codeline>
<codeline lineno="243"><highlight class="comment">*<sp />\}</highlight></codeline>
<codeline lineno="244"><highlight class="comment">*<sp />*/</highlight><highlight class="normal"><sp /><sp /></highlight></codeline>
<codeline lineno="283"><highlight class="comment">/*<sp />The<sp />list<sp />below<sp />defines<sp />the<sp />order<sp />of<sp />the<sp />driver's<sp />groups<sp />in<sp />the<sp />API<sp />Reference</highlight></codeline>
<codeline lineno="284"><highlight class="comment">*<sp /><sp />Manual<sp />*/</highlight></codeline>
<codeline lineno="330"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/mainpage.h" />
  </compounddef>
</doxygen>